/**CHeaderFile*****************************************************************

  FileName    [dsimulate.h]

  PackageName [simulator]

  Synopsis    [The header file for the <tt>simulator</tt> package]

  Description []

  SeeAlso     []

  Author      [Marco Roveri]

  Copyright   [
  This file is part of the ``simulator'' package of NuSMV version 2.
  Copyright (C) 2003 by ITC-irst.

  NuSMV version 2 is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  NuSMV version 2 is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.

  For more information of NuSMV see <http://nusmv.irst.itc.it>
  or email to <nusmv-users@irst.itc.it>.
  Please report bugs to <nusmv-users@irst.itc.it>.

  To contact the NuSMV development board, email to <nusmv@irst.itc.it>. ]

******************************************************************************/
#include "util.h"
#include "opts.h"
EXTERN Opts_HandlerPtr simopthr;
EXTERN void DSimulate_RegisterOptions ARGS((void));
EXTERN void DSimulate_UnRegisterOptions ARGS((void));
EXTERN int DSimulate_ParseCLOptions ARGS((char *** argvv, int * argcc));
EXTERN void DSimulate_PrintCLOptions ARGS((FILE * fd));
EXTERN void DSimulate_DomainSimulate ARGS((BddFsm fsm));
EXTERN void print_tropos_trace ARGS((int trace, int verbose));
