/**CHeaderFile*****************************************************************

  FileName    [ddext.h]

  PackageName [ddext]

  Synopsis    [The header file for the <tt>ddext</tt> package]

  Description [Some extensions to the DD package]

  SeeAlso     []

  Author      [Marco Pistore]

  Copyright   [
  This file is part of the ``simulator'' package of NuSMV version 2.
  Copyright (C) 2003 by ITC-irst and University of Trento.

  NuSMV version 2 is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  NuSMV version 2 is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.

  For more information of NuSMV see <http://nusmv.irst.itc.it>
  or email to <nusmv-users@irst.itc.it>.
  Please report bugs to <nusmv-users@irst.itc.it>.

  To contact the NuSMV development board, email to <nusmv@irst.itc.it>. ]

******************************************************************************/
#ifndef _DDEXT_H
#define _DDEXT_H

#include "dd.h"

bdd_ptr bdd_repr(DdManager * dd, bdd_ptr fn, bdd_ptr cube);
add_ptr add_sum(DdManager * dd, add_ptr fn, add_ptr cube);
bdd_ptr add_bdd_strictthreshold(DdManager * dd, add_ptr fn, node_ptr inode);

#endif
